package cn.com.qmth.stmms.biz.mark.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import cn.com.qmth.stmms.biz.mark.model.MarkSpecialTag;

public interface MarkSpecialTagDao extends PagingAndSortingRepository<MarkSpecialTag, Integer>,
        JpaSpecificationExecutor<MarkSpecialTag> {

    @Modifying
    @Query("delete from MarkSpecialTag s where s.libraryId = ?1")
    public void deleteByLibraryId(Integer libraryId);

    public List<MarkSpecialTag> findByLibraryIdOrderByIdAsc(Integer libraryId);
    
    @Modifying
    @Query("delete from MarkSpecialTag s where s.libraryId in (select m.id from MarkLibrary m where m.markerId=?1)")
	public void deleteByMarkerId(Integer markerId);

    @Modifying
    @Query("delete from MarkSpecialTag s where s.libraryId in (select m.id from MarkLibrary m where m.examId=?1 and m.subjectCode=?2 and m.groupNumber=?3)")
	public void deleteByExamAndSubjectAndGroup(Integer examId,
			String subjectCode, Integer groupNumber);

}
