package cn.com.qmth.stmms.biz.mark.service;

import java.util.List;
import java.util.Set;

import cn.com.qmth.stmms.biz.exam.model.MarkGroup;
import cn.com.qmth.stmms.biz.exam.model.Marker;
import cn.com.qmth.stmms.biz.mark.model.MarkLibrary;
import cn.com.qmth.stmms.biz.mark.query.MarkLibrarySearchQuery;
import cn.com.qmth.stmms.common.enums.LibraryStatus;

public interface MarkLibraryService {

    MarkLibrary save(MarkLibrary library);

    MarkLibrary findById(int id);

    List<MarkLibrary> findByStudentId(int studentId);

    long countByQuery(MarkLibrarySearchQuery query);

    MarkLibrarySearchQuery findByQuery(MarkLibrarySearchQuery query);

    List<MarkLibrary> findByStatus(int examId, String subjectCode, int groupNumber, LibraryStatus status,
            int pageNumber, int pageSize);

    List<MarkLibrary> findByStatusSet(int examId, String subjectCode, int groupNumber, Set<LibraryStatus> statusSet,
            int pageNumber, int pageSize);

    void resetByMarker(Marker marker);

    void resetById(int id);

    void backById(int id);

    void delete(MarkLibrary library);

    void deleteByStudent(int studentId);

    long countByExamAndSubjectAndGroupAndStatus(int examId, String subjectCode, int groupNumber, LibraryStatus status);

    long countByMarker(int markerId);

    List<Integer> findTagCampusId(int examId);

    List<String> findTagSubjectCode(int examId);

    MarkLibrary findByStudentAndGroup(int studentId, int groupNumber);

    List<MarkLibrary> findByStudentIdAndStatus(int studentId, LibraryStatus status);

    void resetByGroup(MarkGroup group);

    void deleteByGroup(MarkGroup group);

}
