<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp"%>
<html>
<head>
	<title>评卷大题修改</title>
	<meta name="decorator" content="default"/>
	<%@include file="/WEB-INF/views/include/head.jsp" %>
	<script type="text/javascript">
		$(document).ready(function() {
			$("#number").focus();
			$("#inputForm").validate({
				submitHandler: function(form){
					loading('正在提交，请稍等...');
					form.submit();
				},
				errorContainer: "#messageBox",
				errorPlacement: function(error, element) {
					$("#messageBox").text("输入有误，请先更正。");
					if (element.is(":checkbox")||element.is(":radio")||element.parent().is(".input-append")){
						error.appendTo(element.parent().parent());
					} else {
						error.insertAfter(element);
					}
				}
			});
		});
	</script>
</head>
<body>
	<ul class="nav nav-tabs">
		<li><a href="${ctx}/admin/exam/group?subjectCode=${group.subjectCode}">大题列表</a></li>
		<li><a href="${ctx}/admin/exam/group/edit-simple?subjectCode=${group.subjectCode}&number=${group.number}">简要修改</a></li>
		<li class="active"><a href="##">详细修改</a></li>
	</ul><br/>
	<form:form id="inputForm" modelAttribute="group" action="${ctx}/admin/exam/group/save" method="post" class="form-horizontal">
		<tags:message content="${message}"/>
		<form:hidden path="subjectCode"/>
        <div class="control-group">
            <label class="control-label">题号</label>
            <div class="controls">
                <form:input path="number" htmlEscape="false" maxlength="10" class="required" readonly="true"/>
            </div>
        </div>
		<div class="control-group">
			<label class="control-label">名称</label>
			<div class="controls">
				<form:input path="title" htmlEscape="false" maxlength="30" class="required"/>
			</div>
		</div>
        <div class="control-group">
            <label class="control-label">步骤分</label>
            <div class="controls">
                <form:input path="scoreList" htmlEscape="false" maxlength="100" class="required"/>
            </div>
        </div>
        <div class="control-group">
            <label class="control-label">小图序号</label>
            <div class="controls">
                <form:input path="picList" htmlEscape="false" maxlength="100" class="required"/>
            </div>
        </div>
        <div class="control-group">
            <label class="control-label">重要提示</label>
            <div class="controls">
                <span class="label label-important"><h5>保存后大题关联所有评卷任务都将重置</h5></span>
            </div>
        </div>
        <div class="form-actions">
            <input id="btnSubmit" class="btn btn-primary" type="submit" value="保 存"/>&nbsp;
            <input id="btnCancel" class="btn" type="button" value="返 回" onclick="history.go(-1)"/>
        </div>
	</form:form>
</body>
</html>
