<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp"%>
<html>
<head>
	<title>评卷大题修改</title>
	<meta name="decorator" content="default"/>
	<%@include file="/WEB-INF/views/include/head.jsp" %>
	<script type="text/javascript">
		$(document).ready(function() {
			$("#title").focus();
			$("#inputForm").validate({
				submitHandler: function(form){
					loading('正在提交，请稍等...');
					form.submit();
				},
				errorContainer: "#messageBox",
				errorPlacement: function(error, element) {
					$("#messageBox").text("输入有误，请先更正。");
					if (element.is(":checkbox")||element.is(":radio")||element.parent().is(".input-append")){
						error.appendTo(element.parent().parent());
					} else {
						error.insertAfter(element);
					}
				}
			});
		});
	</script>
</head>
<body>
	<ul class="nav nav-tabs">
		<li><a href="${ctx}/admin/exam/group?subjectCode=${group.subjectCode}">大题列表</a></li>
		<li class="active"><a href="##">简要修改</a></li>
		<li><a href="${ctx}/admin/exam/group/edit-full?subjectCode=${group.subjectCode}&number=${group.number}&">重置修改</a></li>
	</ul><br/>
	<form:form id="inputForm" modelAttribute="group" action="${ctx}/admin/exam/group/save" method="post" class="form-horizontal">
		<tags:message content="${message}"/>
		<form:hidden path="subjectCode"/>
		<form:hidden path="number"/>
		<input type="hidden" id="intervalScoreList" name="intervalScoreList" value=""/>
		<div class="control-group">
			<label class="control-label">名称</label>
			<div class="controls">
				<form:input path="title" htmlEscape="false" maxlength="30" class="required"/>
			</div>
		</div>
        <div class="control-group">
            <label class="control-label">小图序号</label>
            <div class="controls">
                <form:input path="picList" htmlEscape="false" maxlength="100" class="required"/>
            </div>
        </div>
        <c:forEach items="${questions}" var="question">
        <div class="control-group">
            <label class="control-label">小题${question.subNumber}间隔分</label>
            <div class="controls">
                <input type="text" class="required interval-score-input" htmlEscape="false" maxlength="10" value="${question.intervalScore}"/>
            </div>
        </div>
        </c:forEach>
        <div class="form-actions">
            <a id="btnSubmit" href="##" class="btn btn-primary">保 存</a>&nbsp;
            <a id="btnCancel" href="##" class="btn" onclick="history.go(-1)">返 回</a>
        </div>
	</form:form>
<script type="text/javascript">
$('#btnSubmit').click(function(){
    var array = [];
    var fill = true;
    $('.interval-score-input').each(function(){
        var score = $(this).val();
        if(score==''){
            fill = false;
        }else{
            array.push(score);
        }
    });
    if(fill){
        $('#intervalScoreList').val(array.join(','));
        $('#inputForm').submit();
    }else{
        alert('间隔分不能为空');
    }
});
</script>
</body>
</html>
